@font-face {
  font-family: "BIZ UDPGothic";
  src: url("/fonts/BIZUDPGothic-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "BIZ UDPMincho";
  src: url("/fonts/BIZUDPMincho-Regular.ttf") format("truetype");
}

.article-list {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  padding: 0 3cqw 3cqw;
  justify-content: flex-start;
  gap: 3cqw;
}

.article-list__item {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  flex-direction: column;
  container-type: inline-size;
  width: 300px;
  min-height: 500px;
  border: 1px solid var(--foreground-color);
  white-space: normal;
  overflow: hidden;

  @media (max-width: 480px) {
    width: 100%;
  }
}

.article-list__link {
  display: grid;
  grid-template-columns: 30% 1fr;
  grid-template-rows: auto auto auto;
  width: 100%;
  text-decoration: none;
  color: var(--foreground-color);
}

.article-list__date {
  grid-row: 1;
  grid-column: 1;
  grid-row: 1;
  display: flex;
  align-self: start;
  justify-self: center;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 15cqw;
  border-right: 1px solid var(--foreground-color);
  text-align: center;
  font-size: 3.5cqw;
  font-family: Arial, Helvetica, sans-serif;
}

.article-list__title {
  position: absolute;
  top: 0;
  right: 0;
  grid-column: 2;
  grid-row: 1;
  display: flex;
  justify-content: flex-end;
  align-self: center;
  width: 70%;
  height: 15cqw;
  padding-right: 3.4cqw;
  overflow-x: clip;
  overflow-y: visible;
  white-space: nowrap;
  text-orientation: mixed;
  line-height: 2;
  letter-spacing: 1.5cqw;
  font-family: "BIZ UDPGothic", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 7.8cqw;

  span {
    display: block;
    position: absolute;
    right: 0;
    margin-top: 13cqw;
    writing-mode: vertical-rl;
    line-height: 2.2;
  }
}

.article-list__image {
  grid-column: 1;
  grid-row: 2;
  grid-column: 1 / span 2;
  grid-row: 2;
  width: 83%;
  height: auto;
  border-top: 1px solid var(--foreground-color);
  border-right: 1px solid var(--foreground-color);
  padding: 1rem;
}

.article-list__excerpt {
  grid-column: 1 / span 2;
  grid-row: 3;
  width: 83%;
  height: 150px;
  padding: 4cqw;
  border-right: 1px solid var(--foreground-color);
  overflow: hidden;
  line-height: 1.6;
  letter-spacing: 0.4cqw;
  font-family: "BIZ UDPMincho", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 4cqw;
}

.article-list__title + .article-list__excerpt {
  position: absolute;
  top: 15cqw;
  border-top: 1px solid var(--foreground-color);
  height: 100%;
}

.article-list__tags {
  z-index: 1;
  position: relative;
  width: 100%;
  height: 35cqw;
  padding: 4cqw;
  background-color: var(--background-color);
  border-top: 1px solid var(--foreground-color);
  line-height: 1.6;
  overflow-y: auto;
  white-space: nowrap;
  font-size: 4cqw;
  font-family: Arial, Helvetica, sans-serif;
}

.article-list__tags::-webkit-scrollbar {
  background-color: var(--background-color);
  width: 5px;
  height: 5px;
}
.article-list__tags::-webkit-scrollbar-thumb {
  background-color: var(--foreground-color);
}